# Generated from jekyll_frontmatter_tests-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll_frontmatter_tests

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Tests jekyll documents for proper frontmatter
License: CC0
URL: https://rubygems.org/gems/jekyll_frontmatter_tests
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(capybara) >= 2.11
# BuildRequires: rubygem(capybara) < 3
# BuildRequires: rubygem(chromedriver-helper) >= 1.0
# BuildRequires: rubygem(chromedriver-helper) < 2
# BuildRequires: rubygem(rack-jekyll) >= 0.5
# BuildRequires: rubygem(rack-jekyll) < 1
# BuildRequires: rubygem(rb-readline) >= 0.5.3
# BuildRequires: rubygem(rb-readline) < 0.6
# BuildRequires: rubygem(selenium-webdriver) >= 3.0
# BuildRequires: rubygem(selenium-webdriver) < 4
# BuildRequires: rubygem(rubocop) >= 0.47.1
# BuildRequires: rubygem(rubocop) < 0.48
BuildArch: noarch

%description
Tests the frontmatter of posts and other collection documents against a
schema.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/jekyll-frontmatter-tests.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
